<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the id=main div and all content after
 */
?>

			<div id="site-footer" class="boxed">
				<?php

				if ( has_nav_menu( 'footer' ) ) :
					wp_nav_menu( array(
						'theme_location'  => 'footer',
						'container'       => 'nav',
						'container_class' => 'footer-links clearfix',
						'menu_class'      => 'footer-menu',
						'depth'           => 0
					) );
				endif;

				if ( good_get_option( 'footer_credit' ) ):

					echo esc_html( good_get_option( 'footer_credit' ) );

				else:

					/* translators: 1. Site name 2. WordPress Link 3. FancyThemes Link */
					printf(
						__( '&copy; %1$s is powered by %2$s &amp; %3$s', 'good' ),
						get_bloginfo( 'name' ),
						sprintf(
							'<a href="%1$s" title="%2$s">%3$s</a>',
							'https://wordpress.org/',
							esc_attr__( 'WordPress', 'good' ),
							esc_html__( 'WordPress', 'good' )
						),
						sprintf(
							'<a href="%1$s" rel="nofollow" title="%2$s">%3$s</a>',
							'https://fancythemes.com/',
							esc_attr__( 'FancyThemes', 'good' ),
							esc_html__( 'FancyThemes', 'good' )
						)
					);

				endif; ?>
			</div>

		</div>
	</div>

	<?php wp_footer(); ?>
</body>
</html>