<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>

	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page" class="hfeed site boxed group">

	<aside id="main-sidebar" class="sticky-nav boxed">

		<div class="logo">
			<?php if ( has_custom_logo() ) :
				the_custom_logo();
			else : ?>
				<h2 class="site-title h1"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"
				                             title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"
				                             rel="home"><?php bloginfo( 'name' ); ?></a></h2>
				<p class="site-description"><?php bloginfo( 'description' ); ?></p>
			<?php endif; ?>
		</div>

		<div id="main-search" class="boxed">
			<?php get_search_form(); ?>
		</div>

		<?php if ( has_nav_menu( 'primary' ) ) : ?>
			<nav id="main-navigation" role="navigation" class="site-navigation group wrapper">
				<a href="#" class="icon-list expand-button"></a>

				<?php wp_nav_menu( array(
					'theme_location' => 'primary',
					'menu_class'     => 'menu group'
				) ); ?>
			</nav>
		<?php endif; ?>
	</aside>

	<div id="main-content" class="site-main boxed group">
	
