<?php
/**
 * Template Name: Archives
 * A custom page to serve archive
 */

get_header(); ?>

	<div id="primary" class="content-area boxed">

		<?php if ( is_active_sidebar( 'header-ad' ) ) : ?>
			<?php dynamic_sidebar( 'header-ad' ); ?>
		<?php endif; ?>

		<?php good_breadcrumb(); ?>

		<div class="site-content" role="main">

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'template-parts/content-page' ); ?>

				<h5 class="widget-title archive-title"><span><?php _e( 'Last 30 Posts', 'good' ); ?></span></h5>
				<ul>
					<?php
					$r = new WP_Query( array(
						'showposts'           => 30,
						'post_status'         => 'publish',
						'ignore_sticky_posts' => 1
					) );
					while ( $r->have_posts() ) : $r->the_post();
						?>
						<li>
							<a href="<?php the_permalink() ?>"><?php the_title() ?></a>
						</li>
						<?php
					endwhile;
					?>
				</ul>

				<h5 class="widget-title archive-title"><span><?php _e( 'Archives by Month:', 'good' ); ?></span></h5>
				<ul>
					<?php wp_get_archives( 'type=monthly' ); ?>
				</ul>

				<?php
				// If comments are open or we have at least one comment, load up the comment template
				if ( comments_open() || get_comments_number() ) {
					comments_template( '', true );
				}
				?>
			<?php endwhile; ?>

		</div>
	</div>
<?php

get_sidebar();
get_footer();
