<article id="post-<?php the_ID(); ?>" <?php post_class( 'boxed group' ); ?>>
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
		<div class="single-meta meta group">
			<div class="posted-by boxed">
				<div>
					<?php echo get_avatar( get_the_author_meta( 'ID' ), 40 ); ?>
					<?php _e( 'By ', 'good' ); ?>
					<br>
					<?php the_author_posts_link(); ?>
				</div>
			</div>
			<div class="comment-count boxed">
				<div>
					<?php _e( 'With ', 'good' ); ?>
					<br>
					<?php comments_popup_link( __( 'No Comment', 'good' ), __( '1 Comment', 'good' ), __( '% Comments', 'good' ) ); ?>
				</div>
			</div>
			<div class="share-box boxed">
				<div>
					<?php _e( 'Ok ', 'good' ); ?>
					<br>
					<a href="#"><?php _e( 'Share this!', 'good' ); ?></a>
					<ul id="share-post">
						<li>
							<a href="<?php echo 'https://twitter.com/intent/tweet?text=' . urlencode( esc_attr( get_the_title() ) ) . '&amp;url=' . urlencode( esc_url( get_the_permalink() ) ); ?>"
							   target="blank"
							   class="share-twitter"><?php _e( 'Twitter', 'good' ); ?></a>
						</li>
						<li>
							<a href="<?php echo 'https://www.facebook.com/sharer/sharer.php?u=' . urlencode( esc_url( get_the_permalink() ) ) . '&amp;t=' . urlencode( esc_attr( get_the_title() ) ); ?>"
							   target="blank"
							   class="share-facebook"><?php _e( 'Facebook', 'good' ); ?></a>
						</li>
						<li>
							<a href="<?php echo 'https://plus.google.com/share?url=' . urlencode( esc_url( get_the_permalink() ) ) . '&amp;text=' . urlencode( esc_attr( get_the_title() ) ); ?>"
							   target="blank"
							   class="share-google"><?php _e( 'Google+', 'good' ); ?></a>
						</li>
						<li>
							<a href="<?php echo 'http://www.linkedin.com/shareArticle?mini=true&amp;url=' . urlencode( esc_url( get_the_permalink() ) ) . '&amp;summary=' . urlencode( strip_tags( get_the_excerpt() ) ) . '&amp;title=' . urlencode( esc_attr( get_the_title() ) ); ?>"
							   target="blank"
							   class="share-linkedin"><?php _e( 'Linkedin', 'good' ); ?></a>
						</li>
					</ul>
				</div>
			</div>
		</div>

		<?php if ( has_post_thumbnail() ): ?>
			<p class="post-image">
				<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="boxed">
					<?php the_post_thumbnail( 'large' ); ?>
				</a>
			</p>
		<?php endif; ?>
	</header>

	<div class="entry-content boxed">
		<?php the_content(); ?>
		<?php wp_link_pages( array(
			'before'    => '<p class="page-links">' . __( 'Pages:', 'good' ),
			'after'     => '</p>',
			'separator' => ' &nbsp; '
		) ); ?>
		<?php the_tags( '<p class="post-tags"><span>' . __( 'Tags:', 'good' ) . '</span> ', ', ', '</p>' ); ?>
	</div>

	<?php if ( 'post' == get_post_type() ) : ?>

		<aside class="author-box boxed group">
			<h4 class="widget-title"><span><?php _e( 'About the author', 'good' ); ?></span></h4>
			<?php echo get_avatar( get_the_author_meta( 'ID' ), 80 ); ?>
			<p class="author-description"><?php the_author_posts_link(); ?>, <?php the_author_meta( 'description' ); ?></p>
		</aside>

		<footer class="related-box boxed">
			<h4 class="widget-title"><span><?php _e( 'Related Posts', 'good' ); ?></span></h4>
			<?php good_related_posts(); ?>
		</footer>

	<?php endif; ?>

</article>
